Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.grid
Interface ElevationColors

All Known Implementing Classes:
  ColoredShadingColors, GreyscaleSlopeColors

public interface ElevationColors

An interface that the SlopeGenerator uses to get colors for different elevations and slopes.

Method Summary
`int` | `getARGB(int elevation, Length units, double slope)` Get the int argb value for a given elevation, with the provided units.
`java.awt.Color` | `getColor(int elevation, Length units, double slope)` Get the Color for the given elevation, with the provided units.
`int[]` | `getColortable()` Get a colortable as an array of ints.

Method Detail

### getColor

    public java.awt.Color getColor(int elevation,
                                   Length units,
                                   double slope)

  Get the Color for the given elevation, with the provided units. The slope of the land, from the northwest to the southeast, is provided.

### getARGB

    public int getARGB(int elevation,
                       Length units,
                       double slope)

  Get the int argb value for a given elevation, with the provided units. The slope of the land, from the northwest to the southeast, is provided in case that should matter.

### getColortable

    public int[] getColortable()

  Get a colortable as an array of ints.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details